# $Revision: 1.21 $, $Date: 2002/06/18 08:20:22 $
%define 	apxs	/usr/sbin/apxs
Summary:	Support for the FastCGI protocol for apache webserver
Summary(pl):	Obsuga protokou FastCGI dla serwera apache
Summary(ru):	FastCGI -    CGI
Summary(uk):	FastCGI - ¦  Ӧ CGI
Name:		apache-mod_fastcgi
Version:	2.2.12
Release:	1
License:	Open Market
Group:		Networking/Daemons
Source0:	http://www.FastCGI.com/dist/mod_fastcgi-%{version}.tar.gz
URL:		http://www.FastCGI.com/
BuildRequires:	apache-devel
BuildRequires:	%{apxs}
Prereq:		%{_sbindir}/apxs
Requires:	apache >= 1.3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _libexecdir     %{_libdir}/apache
%define         _htmldocdir     /home/httpd/manual/mod

%description
This 3rd party module provides support for the FastCGI protocol.
FastCGI is a language independent, scalable, open extension to CGI
that provides high performance and persistence without the limitations
of server specific APIs.

%description -l pl
To jest modu apache dodajcy obsug protokou FastCGI. FastCGI jest
niezalenym od jzyka, skalowalnym, otwartym rozszerzeniem CGI dajcym
du wydajno bez ograniczania API specificznego dla serwera.

%description -l ru
FastCGI -  CGI,    
 Internet-  
    web- API.

 API web-    CGI.

%description -l uk
FastCGI -  CGI,   צ 
Φ Internet-  ȦԦ 
Ʀ   web- API.

˦ API web-Ҧ ڦ Ӧ  CGI.

%prep
%setup -q -n mod_fastcgi-%{version}

%build
%{apxs} -D SUEXEC_BIN="\"\\\"%{_sbindir}/suexec\\\"\"" -o mod_fastcgi.so -c *.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libexecdir},%{_htmldocdir}}

install mod_fastcgi.so $RPM_BUILD_ROOT%{_libexecdir}

install docs/*.html $RPM_BUILD_ROOT%{_htmldocdir}

%post
%{_sbindir}/apxs -e -a -n fastcgi %{_libexecdir}/mod_fastcgi.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n fastcgi %{_libexecdir}/mod_fastcgi.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/LICENSE.TERMS CHANGES
%doc %{_htmldocdir}/*
%attr(755,root,root) %{_libexecdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_fastcgi.spec,v $
Revision 1.21  2002/06/18 08:20:22  kloczek
- release 1: use new %doc.

Revision 1.20  2002/04/25 15:45:51  arturs
fixed a small typo

Revision 1.19  2002/04/25 14:54:51  areq
- 2.2.12, STBR -> test

Revision 1.18  2002/04/12 14:32:10  qboosh
- removed /home/httpd/manual/mod dir (it belongs to apache); release 6

Revision 1.17  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/17 21:06:35  ankry
- release 5

Revision 1.15  2002/02/17 19:01:42  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.14  2002/02/17 04:59:36  kloczek
- release 4.

Revision 1.13  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.12  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/02 12:07:03  kloczek
- release 3.

Revision 1.10  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.9  2001/09/11 12:31:21  qboosh
- pl translations

Revision 1.8  2001/08/22 17:24:00  filon
- removed stripping executables, it's done by rpm automation

Revision 1.7  2001/04/16 20:20:19  baggins
- release 2
- put documentation in proper place

Revision 1.6  2001/01/03 16:25:28  kloczek
- do not strip binaries (this perporms rpm in %install_post script),
- few other cosmetics.

Revision 1.5  2001/01/02 23:32:22  marcus
- new version 2.2.10
- release 1

Revision 1.4  2000/09/21 20:31:19  kloczek
- cosmetics only.

Revision 1.3  2000/09/21 19:35:17  baggins
- typo

Revision 1.2  2000/09/21 19:32:17  baggins
- release 2
- added post(un) scripts
- fixed SuExec path

Revision 1.1  2000/09/21 19:25:10  baggins
- initial revision
- adapterized

* Fri May 19 2000 Tomasz Ostrowski <tometzky@students.mimuw.edu.pl>
- Written from scratch
